package com.mortals.xhx.module.certificate.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.certificate.model.vo.CertificateDocumentVo;
import lombok.Data;
/**
 * 子证配置实体对象
 *
 * @author zxfei
 * @date 2024-07-28
 */
@Data
public class CertificateDocumentEntity extends CertificateDocumentVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 子证名称
     */
    private String documentName;
    /**
     * 状态，0：禁用1：启用
     */
    private Integer status;
    /**
     * 照面内容模板
     */
    private String templateContent;
    /**
     * 内容表单
     */
    private String formContent;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CertificateDocumentEntity) {
            CertificateDocumentEntity tmp = (CertificateDocumentEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.siteId = null;
        this.deptId = null;
        this.deptName = "";
        this.documentName = "";
        this.status = 1;
        this.templateContent = "";
        this.formContent = "";
    }
}