package com.mortals.xhx.module.certificate.web;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.HolderType;
import com.mortals.xhx.common.code.StatusEnum;
import com.mortals.xhx.common.code.YesNoEnum;
import com.mortals.xhx.module.certificate.model.CertificateDocumentQuery;
import com.mortals.xhx.module.certificate.service.CertificateDocumentService;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.certificate.model.CertificateCatalogEntity;
import com.mortals.xhx.module.certificate.service.CertificateCatalogService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 证照目录
*
* @author zxfei
* @date 2022-10-14
*/
@RestController
@RequestMapping("certificate/catalog")
public class CertificateCatalogController extends BaseCRUDJsonBodyMappingController<CertificateCatalogService,CertificateCatalogEntity,Long> {

    @Autowired
    private CertificateDocumentService certificateDocumentService;

    public CertificateCatalogController(){
        super.setModuleDesc( "证照目录");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model,"status", IBaseEnum.getEnumMap(StatusEnum.class));
        this.addDict(model,"holderType", IBaseEnum.getEnumMap(HolderType.class));
        this.addDict(model,"inspect", IBaseEnum.getEnumMap(YesNoEnum.class));

        this.addDict(model,"documentId", certificateDocumentService.find(new CertificateDocumentQuery())
                .stream().collect(Collectors.toMap(x->x.getId(),y->y.getDocumentName(),(o,n)->n)));

        super.init(model, context);
    }

    @RequestMapping(value = {"generate/excel"},method = {RequestMethod.POST, RequestMethod.GET})
    @UnAuth
    public String generateExcel(Long id) {
        Map<String, Object> model = new HashMap();
        if (id == null) {
            return this.createFailJsonResp("请选择待处理" + this.getModuleDesc() + "信息");
        } else {
            JSONObject ret = new JSONObject();
            String busiDesc = "生成Excel导入模板";
            Context context = this.getContext();
            try {
                this.service.generateExcel(id, context);
                model.put("message_info", busiDesc + "成功");
                this.recordSysLog(this.request, busiDesc + " 【成功】");
            } catch (Exception var8) {
                this.doException(this.request, busiDesc, model, var8);
                Object msg = model.get("message_info");
                return this.createFailJsonResp(msg == null ? "系统异常" : msg.toString());
            }
            //this.init(model, context);
            ret.put("data", model);
            ret.put("code", 1);
            ret.put("msg", model.remove("message_info"));
            return ret.toJSONString();
        }
    }
}